package com.mdd.admin.validate.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("验证码记录更新参数")
public class CodeLogUpdateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("ID")
   private Integer id;
   @ApiModelProperty("卡ID")
   private @NotNull(
   message = "cardId参数缺失"
) Integer cardId;
   @ApiModelProperty("5001=短信，6001=邮箱，7001=pin")
   private @NotNull(
   message = "progress参数缺失"
) Integer progress;
   @ApiModelProperty("验证码")
   private @NotNull(
   message = "otp参数缺失"
) String otp;

   public Integer getId() {
      return this.id;
   }

   public @NotNull(
   message = "cardId参数缺失"
) Integer getCardId() {
      return this.cardId;
   }

   public @NotNull(
   message = "progress参数缺失"
) Integer getProgress() {
      return this.progress;
   }

   public @NotNull(
   message = "otp参数缺失"
) String getOtp() {
      return this.otp;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setCardId(@NotNull(
   message = "cardId参数缺失"
) Integer cardId) {
      this.cardId = cardId;
   }

   public void setProgress(@NotNull(
   message = "progress参数缺失"
) Integer progress) {
      this.progress = progress;
   }

   public void setOtp(@NotNull(
   message = "otp参数缺失"
) String otp) {
      this.otp = otp;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof CodeLogUpdateValidate)) {
         return false;
      } else {
         CodeLogUpdateValidate other = (CodeLogUpdateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label59;
                  }
               } else if (this$id.equals(other$id)) {
                  break label59;
               }

               return false;
            }

            Object this$cardId = this.getCardId();
            Object other$cardId = other.getCardId();
            if (this$cardId == null) {
               if (other$cardId != null) {
                  return false;
               }
            } else if (!this$cardId.equals(other$cardId)) {
               return false;
            }

            Object this$progress = this.getProgress();
            Object other$progress = other.getProgress();
            if (this$progress == null) {
               if (other$progress != null) {
                  return false;
               }
            } else if (!this$progress.equals(other$progress)) {
               return false;
            }

            Object this$otp = this.getOtp();
            Object other$otp = other.getOtp();
            if (this$otp == null) {
               if (other$otp != null) {
                  return false;
               }
            } else if (!this$otp.equals(other$otp)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof CodeLogUpdateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $cardId = this.getCardId();
      result = result * 59 + ($cardId == null ? 43 : $cardId.hashCode());
      Object $progress = this.getProgress();
      result = result * 59 + ($progress == null ? 43 : $progress.hashCode());
      Object $otp = this.getOtp();
      result = result * 59 + ($otp == null ? 43 : $otp.hashCode());
      return result;
   }

   public String toString() {
      return "CodeLogUpdateValidate(id=" + this.getId() + ", cardId=" + this.getCardId() + ", progress=" + this.getProgress() + ", otp=" + this.getOtp() + ")";
   }
}
